::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 
:: Perform PER test
:: PER_TEST <IP> <TX_MAC> <RX_MAC> <PE> [PKT_LEN] [NUM_OF_PKT]
:: 
:: This test collects PER ans SNR results
:: Example per_test 192.168.1.1 00-C5-D9-00-00-11 00-C5-D9-00-00-12 63 1400 100000
::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
@echo off
echo measuring SNR and PER...
set num_of_pkt=
set pkt_len=

if "%1"=="-?" goto USAGE
if "%1"=="-h" goto USAGE
if .%1==. goto USAGE
if .%2==. goto ERROR
if .%3==. goto ERROR
if .%4==. goto ERROR
if .%5==. (set pkt_len=1400) else (set pkt_len=%5)
if .%6==. (set num_of_pkt=100000) else (set num_of_pkt=%6)

call setenv.bat

::  Building CERT script file
cmd /C scr\build_scripts.bat %2 %3 %4 %pkt_len% %num_of_pkt%

:: Execute CERT test script
%loader% -M %2 -a %1 -s .\tmp\test.txt >> snr.tmp
if %ERRORLEVEL%==-99 goto END
if %ERRORLEVEL% lss 0 goto FAIL

goto END

:ERROR
echo Invalid input parameter
goto USAGE

:FAILED
@echo Executing PER test failed.
goto END

:USAGE
echo.
echo "per_test <IP> <TX_MAC> <RX_MAC> <PE> [PKT_LEN] [NUM_OF_PKT]"
echo.
echo IP		 - IP address of NIC
echo TX_MAC  - Transmitter mac address (e.g 00 C5 D9 00 00 22)
echo RX_MAC  - Receiver mac address (e.g 00 C5 D9 00 00 23)
echo PE      - Payload Encoding to use in test
echo PKT_LEN - Packet payload length (Optional, default=1400 bytes)
echo NUM_OF_PKT - Number of test packets (Optional, default=100000 packets)
echo Results Format:
echo    Script return results as follow:   SNR  PER  PE
 
:END